package com.company.fragmentaction.view.samplefragment;

import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import io.jmix.flowui.Notifications;
import io.jmix.flowui.fragment.Fragment;
import io.jmix.flowui.fragment.FragmentDescriptor;
import io.jmix.flowui.kit.action.ActionPerformedEvent;
import io.jmix.flowui.view.Subscribe;
import org.springframework.beans.factory.annotation.Autowired;

@FragmentDescriptor("sample-fragment.xml")
public class SampleFragment extends Fragment<VerticalLayout> {
    @Autowired
    private Notifications notifications;

    @Subscribe("fragmentAction")
    protected void onFragmentAction(final ActionPerformedEvent event) {
        if (event.getComponent().getId().isPresent()) {
            String btnId = event.getComponent().getId().get();
            notifications.show("fragment button pressed: ".concat(btnId));
        } else {
            notifications.show("fragment button was pressed but no id available");
        }
    }
}